%global __provides_exclude_from ^%{_libdir}/%{name}/.*$

%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define tainted 0
%if "%distro_section" == "tainted"
%define tainted 1
%endif

Name:           qmmp
Version:        1.1.8
Release:        %mkrel 2
Summary:        Feature-rich Qt-based multimedia player
License:        GPLv2+
Group:          Sound/Players
#https://code.google.com/p/qmmp
URL:            http://qmmp.ylsoftware.com
Source0:        http://qmmp.ylsoftware.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  libmpcdec-devel
BuildRequires:  wildmidi-devel >= 0.2.3.4
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(enca) >= 1.9
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libbs2b) >= 3.0.0
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmms) >= 0.4
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libprojectM)
BuildRequires:  pkgconfig(libpulse-simple) >= 0.9.15
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(opus) >= 1.0.2
BuildRequires:  pkgconfig(opusfile) >= 0.2
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(soxr)
BuildRequires:  pkgconfig(taglib) >= 1.6
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(wavpack)
BuildRequires:  pkgconfig(x11)
%if %{tainted}
BuildRequires:  libfaad2-devel
%endif
BuildRequires:  cmake

Requires:       unzip
Requires:       wildmidi

%description
Qmmp is a feature-rich audio player, written with help of the Qt library.
The user interface is similar to winamp or xmms.
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared libraries for Qmmp
Group:          System/Libraries

%description -n %{libname}
This package contains shared libraries for Qmmp (qmmp and qmmpui).
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}ui.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for the Qmmp libraries
Group:          Development/C++

%description -n %{devname}
This package contains development headers and libraries to develop
applications using the qmmp and qmmpui libraries.
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files -n       %{devname}
%{_includedir}/%{name}/
%{_includedir}/%{name}ui/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}ui.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}ui.pc

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5 -DUSE_HAL:BOOL=OFF -DUSE_OSS:BOOL=ON
%make_build

%install
%make_install -C build


%changelog
* Tue May 02 2017 akien <akien> 1.1.8-2.mga6
+ Revision: 1098371
- Rebuild for ffmpeg 3.3

* Wed Apr 26 2017 akien <akien> 1.1.8-1.mga6.tainted
+ Revision: 1097576
- Version 1.1.8

* Wed Mar 08 2017 akien <akien> 1.1.5-2.mga6.tainted
+ Revision: 1090234
- Rebuild for ffmpeg 3.2.4

* Sun Nov 13 2016 akien <akien> 1.1.5-1.1.mga6.tainted
+ Revision: 1067043
- Rebuild in tainted

* Sun Nov 13 2016 daviddavid <daviddavid> 1.1.5-1.mga6
+ Revision: 1066971
- new version: 1.1.5
- enable SoX Resampler, JACK and Qt5 Multimedia support

* Tue Sep 06 2016 akien <akien> 1.1.3-2.mga6.tainted
+ Revision: 1050215
- Rebuild for tainted

* Mon Sep 05 2016 akien <akien> 1.1.3-1.mga6
+ Revision: 1050150
- Version 1.1.3

* Mon May 02 2016 daviddavid <daviddavid> 1.0.9-1.mga6.tainted
+ Revision: 1008743
- new version: 1.0.9

* Mon Apr 04 2016 daviddavid <daviddavid> 1.0.7-1.mga6.tainted
+ Revision: 998312
- new version: 1.0.7

* Tue Mar 15 2016 daviddavid <daviddavid> 1.0.6-1.mga6.tainted
+ Revision: 990763
- new version: 1.0.6
- switch build to Qt5
- now libmajor is 1

* Tue Feb 16 2016 umeabot <umeabot> 0.8.3-3.mga6.tainted
+ Revision: 962513
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 sander85 <sander85> 0.8.3-2.mga6.tainted
+ Revision: 854745
- Rebuild for new libcdio

* Wed Mar 04 2015 akien <akien> 0.8.3-1.mga5.tainted
+ Revision: 817754
- Exclude plugins from AutoProvides
- Version 0.8.3
- Follow the library policy of Mageia
- Drop useless %%rename calls

* Wed Jan 07 2015 alexl <alexl> 0.7.2-6.mga5.tainted
+ Revision: 809149
- merged desktop files with upstream

* Fri Nov 14 2014 cjw <cjw> 0.7.2-5.mga5.tainted
+ Revision: 796953
- rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-4.mga5.tainted
+ Revision: 742411
- Second Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.7.2-3.mga5.tainted
+ Revision: 592246
- rebuild for libcdio

* Sun Sep 01 2013 fwang <fwang> 0.7.2-2.mga4.tainted
+ Revision: 473899
- rebuild for new cdio

* Fri Aug 30 2013 fwang <fwang> 0.7.2-1.mga4.tainted
+ Revision: 473234
- new version 0.7.2

* Sun Jul 21 2013 fwang <fwang> 0.7.1-2.mga4.tainted
+ Revision: 456750
- update file list
- do not package devel files
- cleanup br

* Sun Jul 21 2013 fwang <fwang> 0.7.1-1.mga4
+ Revision: 456732
- new version 0.7.1

* Sat Mar 30 2013 kamil <kamil> 0.6.8-1.mga4.tainted
+ Revision: 406690
- new version and fix core dumps problems

* Sun Jan 13 2013 umeabot <umeabot> 0.6.5-3.mga3.nonfree
+ Revision: 379854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.6.5-2.mga3
+ Revision: 341738
- rebuild for new ffmpeg

* Tue Dec 11 2012 kamil <kamil> 0.6.5-1.mga3.tainted
+ Revision: 329777
- new version 0.6.5

* Sun Dec 02 2012 kamil <kamil> 0.6.4-2.mga3.tainted
+ Revision: 324757
- rebuild for Mga3 Beta1

* Mon Nov 05 2012 fwang <fwang> 0.6.4-1.mga3.tainted
+ Revision: 314315
- update rpm group
- new version 0.6.4

* Sun Aug 19 2012 kamil <kamil> 0.6.3-1.mga3.tainted
+ Revision: 282102
- new version 0.6.4

* Fri Aug 03 2012 kamil <kamil> 0.6.2-1.mga3.tainted
+ Revision: 278050
- new version 0.6.2

* Thu Jul 26 2012 fwang <fwang> 0.6.1-1.mga3.tainted
+ Revision: 274442
- new version 0.6.1

* Sat Jun 30 2012 kamil <kamil> 0.6.0-1.mga3.tainted
+ Revision: 265621
- new version 0.6.0

* Sat Jun 16 2012 fwang <fwang> 0.5.6-1.mga3.tainted
+ Revision: 260933
- new version 0.5.6

* Wed May 30 2012 kamil <kamil> 0.5.5-1.mga3.tainted
+ Revision: 251811
- new version 0.5.5

* Wed Mar 07 2012 kamil <kamil> 0.5.4-1.mga2.tainted
+ Revision: 220923
- new version 0.5.4

* Mon Feb 06 2012 kamil <kamil> 0.5.3-2.mga2.tainted
+ Revision: 205478
- bump release to be updateable from Mga 1

* Mon Feb 06 2012 kamil <kamil> 0.5.3-1.mga2.tainted
+ Revision: 205122
- new version 0.5.3

* Fri Feb 03 2012 kamil <kamil> 0.5.1-3.mga2.tainted
+ Revision: 204241
- enable ACC support only in tainted
- add AAC support
- adapt .spec for Mageia
- imported package qmmp

